
import { select, json, geoPath, geoOrthographic} from 'd3';
import { feature } from 'topojson';
const svg = select('svg');

// Create globe using geoOrthograhic method
const projection = geoOrthographic();
const pathGenerator = geoPath().projection(projection);

//Load the data using d3.json the topojson data
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
 .then(data => {
const countries = feature(data,data.objects.countries );
// Extract the cuntries from the json data
svg.selectAll('path').data(countries.features)
  .enter().append('path')
  .attr('d' , pathGenerator);
  });









